Skip to main content

NewSkies-Digital-Api 4.8.6.23

Last updated: 09-Jul-2026
Recent changes: Merge branch 'feature/NSK-74516-cc-payments' into 'master' Resolve NSK-74516 "Feature/ cc payments" Closes NSK-74516 See merge request api-program/apigee/flight/newskies-apis/digitalapi-navitaire!104

Payment Examples

Different payment types are available, such as Agency-Payments, Tour-Operator-Payments, CreditCards, etc. We prepared a few examples for you which you can easily adapt to your agreed payment type.

Credit Card Payment

curl --location 'https://playground.api.tui/flight/newskies/rest/api/nsk/v5/booking/payments' \
--header 'Authorization: Bearer {TokenReceivedDuringCreateTokenRequest}' \
--header 'x-apikey: {YourApiKey}' \
--header 'Content-Type: application/json' \
--data '{
  "paymentMethodCode": "{{PaymentCode (VI=Visa | MC=MasterCard)}}",
  "amount": {{balanceDue}},
  "paymentFields": {
    "ACCTNO": "{{card-number}}",
    "EXPDAT": "{{expiration-date}}",
    "AMT": {{balanceDue}},
    "CC::VerificationCode":  "{{security-code (CVC/CVV)}}",
    "CC::AccountHolderName":  "{{cardholder-name}}"
  },
  "currencyCode": "EUR",
  "installments": 1
}'

Important: this payment-type requires the amount to be set twice (Field amount and AMT)!

SEPA Payment

curl --location 'https://playground.api.tui/flight/newskies/rest/api/nsk/v5/booking/payments' \
--header 'Authorization: Bearer {TokenReceivedDuringCreateTokenRequest}' \
--header 'x-apikey: {YourApiKey}' \
--header 'Content-Type: application/json' \
--data '{
  "paymentMethodCode": "SD",
  "paymentFields": {
    "DD::BIC": "{{BIC}}",
    "DD::BankAccountHolderName": "{{BankAccount HolderName}}",
    "DD::IBAN": "{{IBAN}}",
    "AMT": {{balanceDue}}
  },
  "currencyCode": "EUR",
  "installments": 1
}'

Agency Payment

curl --location 'https://playground.api.tui/flight/newskies/rest/api/nsk/v5/booking/payments' \
--header 'Authorization: Bearer {TokenReceivedDuringCreateTokenRequest}' \
--header 'x-apikey: {YourApiKey}' \
--header 'Content-Type: application/json' \
--data '{
  "paymentMethodCode": "AG",
  "amount": {{balanceDue}},
  "paymentFields": {
    "ACCTNO": "{{YourAccountNumberAtTUI}}",
  },
  "currencyCode": "EUR",
  "installments": 1
}'

The value for your Account-Number, you will retrieve together with your Login-Credentials. If you are missing this information, please reach out to api.flightproduction@tui.com

TourOperator Payment

curl --location 'https://playground.api.tui/flight/newskies/rest/api/nsk/v5/booking/payments' \
--header 'Authorization: Bearer {TokenReceivedDuringCreateTokenRequest}' \
--header 'x-apikey: {YourApiKey}' \
--header 'Content-Type: application/json' \
--data '{
  "paymentMethodCode": "TO",
  "amount": {{balanceDue}},
  "paymentFields": {
    "ACCTNO": "{{YourTourOperatorCodeAtTUI}}"
  },
  "currencyCode": "EUR",
  "installments": 1
}'

The value for your TourOperator-Code, you will retrieve together with your Login-Credentials If you are missing this information, please reach out to api.flightproduction@tui.com

About us

TUI is one of the world’s leading tourism groups. The broad portfolio gathered under the Group umbrella consists of strong tour operators, 1,600 travel agencies and leading online portals, five airlines with around 150 aircraft, over 400 hotels, 16 cruise liners and many incoming agencies in all major holiday destinations around the globe.

 

TUI Group logo

Contact

Login to your account